package cn.com.victorysoft.business.indicator.dao;

import cn.com.victorysoft.business.indicator.entity.Pump;
import cn.com.victorysoft.business.indicator.entity.PumpDevice;
import cn.com.victorysoft.business.indicator.entity.WaterStation;
import cn.com.victorysoft.business.indicator.param.PumpDeviceParam;
import cn.com.victorysoft.business.indicator.param.PumpParam;
import cn.com.victorysoft.business.indicator.param.WaterStationParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface PumpDeviceDao {

   List<PumpDevice> selectList(PumpDeviceParam param);

   int insert(PumpDevice param);

   PumpDevice selectPumpDevice(PumpDevice param);

   List<WaterStation> selectWaterStations(WaterStationParam param);

   List<Pump> selectPump(PumpParam param);

   int updateData(PumpDevice param);
}
